Gentoo Logo

X.Org: Buffer overflow in XRender extension

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200605-02 / X.Org
Release Date May 02, 2006
Latest Revision May 02, 2006: 01
Impact high
Exploitable local
Package Vulnerable versions Unaffected versions Architecture(s)
x11-base/xorg-x11 < 6.8.2-r7 >= 6.8.2-r7 All supported architectures

Related bugreports: #130979

Synopsis

A buffer overflow in the XRender extension potentially allows any X.Org user to execute arbitrary code with elevated privileges.

2.  Impact Information

Background

X.Org is X.Org Foundation's public implementation of the X Window System.

Description

X.Org miscalculates the size of a buffer in the XRender extension.

Impact

An X.Org user could exploit this issue to make the X server execute arbitrary code with elevated privileges.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All X.Org users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose ">=x11-base/xorg-x11-6.8.2-r7"

4.  References



Print

Page updated May 02, 2006

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.